Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.topic
Class SubscriptionResource

    java.lang.Object
      org.hornetq.rest.queue.QueueConsumer
          org.hornetq.rest.topic.SubscriptionResource

All Implemented Interfaces:
  Subscription

    public class SubscriptionResource

extends QueueConsumer
implements Subscription

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.hornetq.rest.queue.QueueConsumer
`autoAck, closed, consumer, destination, factory, id, lastConsumed, lastPing, previousIndex, selector, serviceManager, session`

Constructor Summary
`SubscriptionResource(org.hornetq.api.core.client.ClientSessionFactory factory, java.lang.String destination, java.lang.String id, DestinationServiceManager serviceManager, java.lang.String selector)`

Method Summary
`boolean` | `isDurable()`
`void` | `setDurable(boolean durable)`

Methods inherited from class org.hornetq.rest.queue.QueueConsumer
`checkIndexAndPoll, createSession, getConsumeIndex, getId, getLastPingTime, getMessageResponse, getServiceManager, isClosed, ping, poll, pollWithIndex, receive, receiveFromConsumer, runPoll, setConsumeNextLink, setMessageResponseLinks, setPollTimeoutLinks, setServiceManager, setSessionLink, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubscriptionResource

    public SubscriptionResource(org.hornetq.api.core.client.ClientSessionFactory factory,
                                java.lang.String destination,
                                java.lang.String id,
                                DestinationServiceManager serviceManager,
                                java.lang.String selector)
                         throws org.hornetq.api.core.HornetQException

Throws:
  `org.hornetq.api.core.HornetQException`

Method Detail

### isDurable

    public boolean isDurable()

  Specified by:
    `isDurable` in interface `Subscription`

### setDurable

    public void setDurable(boolean durable)

  Specified by:
    `setDurable` in interface `Subscription`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.